﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\LC_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_LC_LETTERCREDIT_B', 'T_LC_LETTERCREDIT_B', 'FID', '1';

 EXEC P_ALTERPK 'PK_T_LC_ONLINERESULT', 'T_LC_ONLINERESULT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ONLINERESULT_FORG_FBANK') CREATE INDEX IDX_ONLINERESULT_FORG_FBANK ON T_LC_ONLINERESULT ( FORGID ,FBANKID );


 EXEC P_ALTERPK 'PK_T_LC_ONLINERESULT_E', 'T_LC_ONLINERESULT_E', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ONLINERESULT_ESTATUS') CREATE INDEX IDX_ONLINERESULT_ESTATUS ON T_LC_ONLINERESULT_E ( FCREDITSTATUS );


 EXEC P_ALTERPK 'PK_T_LC_DIRECTCONNSET', 'T_LC_DIRECTCONNSET', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_DIRECTCONNSET_FORGID_FBANK') CREATE UNIQUE INDEX IDX_DIRECTCONNSET_FORGID_FBANK ON T_LC_DIRECTCONNSET ( FORGID ,FBANKTYPE );


 EXEC P_ALTERPK 'PK_T_LC_DIRECTCONNSET_L', 'T_LC_DIRECTCONNSET_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_DIRECTCONNSET_FID') CREATE INDEX IDX_LC_DIRECTCONNSET_FID ON T_LC_DIRECTCONNSET_L ( FID );


 EXEC P_ALTERPK 'PK_T_LC_ONLINEUPDATESTAT', 'T_LC_ONLINEUPDATESTAT', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_ONLINEUPDATESTAT_FORGID') CREATE INDEX IDX_LC_ONLINEUPDATESTAT_FORGID ON T_LC_ONLINEUPDATESTAT ( FORGID );


 EXEC P_ALTERPK 'PK_T_LC_ONLINEUPDATEENTRY', 'T_LC_ONLINEUPDATEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_ONLINEUPDATEENTRY_FID') CREATE INDEX IDX_ONLINEUPDATEENTRY_FID ON T_LC_ONLINEUPDATEENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_LC_FEEPAYER', 'T_LC_FEEPAYER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_FEEPAYER_FNUMBER') CREATE INDEX IDX_LC_FEEPAYER_FNUMBER ON T_LC_FEEPAYER ( FNUMBER );


 EXEC P_ALTERPK 'PK_T_LC_FEEPAYER_L', 'T_LC_FEEPAYER_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_LC_FEEPAYERL_FID') CREATE INDEX IDX_LC_FEEPAYERL_FID ON T_LC_FEEPAYER_L ( FID );



/**End D:\PDM\PDM_UPGRADE\PDM1\LC_constraint.sql **/
