﻿IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_LETTERCREDIT_H_B')
 CREATE TABLE T_LC_LETTERCREDIT_H_B (
FID BIGINT DEFAULT 0 NOT NULL,
FTRADECHANNEL NVARCHAR(50) DEFAULT 'offline' NOT NULL,
FBEBANKSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FISRESUBMIT CHAR(1) DEFAULT '0' NOT NULL,
FRETURNMSG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDAYS INT DEFAULT 0 NOT NULL,
FPAYMENTTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTRADETERMS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FLFEEACCTBANKID BIGINT DEFAULT 0 NOT NULL,
FSUBMITTIME DATETIME,
FFEEPAYERID BIGINT DEFAULT 0 NOT NULL,
FBILLTERM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLTERM_TAG NCLOB,
FADDTERM NVARCHAR(255) DEFAULT ' ' NOT NULL,
FADDTERM_TAG NCLOB,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_LETTERCREDIT_B' AND KSQL_COL_NAME IN ('FSRCBILLID'))
 ALTER TABLE T_LC_LETTERCREDIT_B ADD (FSRCBILLID BIGINT DEFAULT 0 NOT NULL );
