﻿/**Begin D:\PDM\PDM_UPGRADE\PDM1\LC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_L' AND KSQL_COL_NAME IN ('FFROMBANKNAME')) 
 ALTER TABLE T_LC_ARRIVAL_H_L ADD (FFROMBANKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_L' AND KSQL_COL_NAME IN ('FFROMBANKNAME')) 
 ALTER TABLE T_LC_ARRIVAL_L ADD (FFROMBANKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL' AND KSQL_COL_NAME IN ('FFROMBANKNAME')) 
 ALTER TABLE T_LC_ARRIVAL ADD (FFROMBANKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FFROMBANKNO')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FFROMBANKNO NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FINVOICEAMT')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FINVOICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FIMAGEBATCHNO')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FIMAGEBATCHNO NVARCHAR(150) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_E' AND KSQL_COL_NAME IN ('FDATASOURCE')) 
 ALTER TABLE T_LC_ARRIVAL_E ADD (FDATASOURCE NVARCHAR(50) DEFAULT 'hand_increase' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FFROMBANKNO')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FFROMBANKNO NVARCHAR(50) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FINVOICEAMT')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FINVOICEAMT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FIMAGEBATCHNO')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FIMAGEBATCHNO NVARCHAR(150) DEFAULT ' ' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LC_ARRIVAL_H_E' AND KSQL_COL_NAME IN ('FDATASOURCE')) 
 ALTER TABLE T_LC_ARRIVAL_H_E ADD (FDATASOURCE NVARCHAR(50) DEFAULT 'hand_increase' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_LC_ARRONLINERESULT') 
 CREATE TABLE T_LC_ARRONLINERESULT (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBANKTYPE BIGINT DEFAULT 0 NOT NULL,
FBILLCURRENCY BIGINT DEFAULT 0 NOT NULL,
FISREGISTER CHAR(1) DEFAULT '0' NOT NULL,
FCREDITNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVEDNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOPENDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCONTRACTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCREDITTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRECEIVEDFLAG NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFBANKNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FFBANKCNAPSCODE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FFDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FRDATE2 NVARCHAR(50) DEFAULT ' ' NOT NULL,
FREMITAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTARTDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FEXPLAIN NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDUEDATE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FDRAFTNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FWAYNO NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLINFO NVARCHAR(150) DEFAULT ' ' NOT NULL,
FBILLDISDESC NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLDISDESC_TAG NCLOB,
FDOCS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FDOCS_TAG NCLOB,
FBATCHNO NVARCHAR(150) DEFAULT ' ' NOT NULL,
FSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCREDITCURRENCY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPAYEEACCNAME NVARCHAR(255) DEFAULT ' ' NOT NULL,
FTENOR NVARCHAR(50) DEFAULT ' ' NOT NULL,
FBANKNAMEADDR NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACPTSTATUS NVARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM\PDM_UPGRADE\PDM1\LC_table.sql **/
